| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::context_menu_t Struct Reference

Base class for context menu interactions, e.g. right click on user or message. More...

`#include <dispatcher.h>`

Inheritance diagram for dpp::context_menu_t:
[legend]
Collaboration diagram for dpp::context_menu_t:
[legend]

## Public Member Functions

event_dispatch_t & | cancel_event ()
| Cancels the event in progress. Any other attached lambdas for this event after this one are not called.
const event_dispatch_t & | cancel_event () const
| Cancels the event in progress. Any other attached lambdas for this event after this one are not called.
dpp::async< dpp::confirmation_callback_t > | co_delete_original_response () const
| Delete original response message for this interaction. This cannot be used on an ephemeral interaction response.
dpp::async< dpp::confirmation_callback_t > | co_dialog (interaction_modal_response mr) const
| Reply to interaction with a dialog box.
dpp::async< dpp::confirmation_callback_t > | co_edit_original_response (message m) const
| Edit original response message for this interaction.
dpp::async< dpp::confirmation_callback_t > | co_edit_original_response (std::string mt) const
| Edit original response message for this interaction.
dpp::async< dpp::confirmation_callback_t > | co_edit_response (message m) const
| Edit the response for this interaction.
dpp::async< dpp::confirmation_callback_t > | co_edit_response (std::string mt) const
| Edit the response for this interaction.
dpp::async< dpp::confirmation_callback_t > | co_follow_up (message m) const
| Create a follow-up message for this interaction.
dpp::async< dpp::confirmation_callback_t > | co_follow_up (std::string mt) const
| Create a follow-up message for this interaction.
dpp::async< dpp::confirmation_callback_t > | co_get_original_response () const
| Get original response message for this interaction.
dpp::async< dpp::confirmation_callback_t > | co_reply () const
| Acknowledge interaction without displaying a message to the user, for use with button and select menu components.
dpp::async< dpp::confirmation_callback_t > | co_reply (interaction_response_type t, message m) const
| Send a reply for this interaction.
dpp::async< dpp::confirmation_callback_t > | co_reply (interaction_response_type t, std::string mt) const
| Send a reply for this interaction.
dpp::async< dpp::confirmation_callback_t > | co_reply (message m) const
| Send a reply for this interaction. Uses the default type of dpp::ir_channel_message_with_source, a simple message reply.
dpp::async< dpp::confirmation_callback_t > | co_reply (std::string mt) const
| Send a reply for this interaction. Uses the default type of dpp::ir_channel_message_with_source, a simple message reply.
dpp::async< dpp::confirmation_callback_t > | co_thinking (bool ephemeral=false) const
| Set the bot to 'thinking' state where you have up to 15 minutes to respond.
void | delete_original_response (command_completion_event_t callback=utility::log_error()) const
| Delete original response message for this interaction. This cannot be used on an ephemeral interaction response.
void | dialog (const interaction_modal_response &mr, command_completion_event_t callback=utility::log_error()) const
| Reply to interaction with a dialog box.
void | edit_original_response (const message &m, command_completion_event_t callback=utility::log_error()) const
| Edit original response message for this interaction.
void | edit_response (const message &m, command_completion_event_t callback=utility::log_error()) const
| Edit the response for this interaction.
void | edit_response (const std::string &mt, command_completion_event_t callback=utility::log_error()) const
| Edit the response for this interaction.
| event_dispatch_t ()=default
| Construct a new event_dispatch_t object.
| event_dispatch_t (const event_dispatch_t &rhs)=default
| Construct a new event_dispatch_t object.
| event_dispatch_t (dpp::cluster *creator, uint32_t shard_id, const std::string &raw)
| Construct a new event_dispatch_t object.
| event_dispatch_t (dpp::cluster *creator, uint32_t shard_id, std::string &&raw)
| Construct a new event_dispatch_t object.
| event_dispatch_t (event_dispatch_t &&rhs)=default
| Construct a new event_dispatch_t object.
void | follow_up (const message &m, command_completion_event_t callback=utility::log_error()) const
| Create a follow-up message for this interaction.
void | follow_up (const std::string &mt, command_completion_event_t callback=utility::log_error()) const
| Create a follow-up message for this interaction.
discord_client * | from () const
| Returns the shard object for the events shard id.
void | get_original_response (command_completion_event_t callback) const
| Get original response message for this interaction.
std::string | get_queued_response () const
| Get queued response when responding to a HTTP request.
bool | is_cancelled () const
| Returns true if the event is cancelled. Note that event cancellation is a thread local state, and not stored in the object (because object which can be cancelled is const during the event, and cannot itself contain the changeable state).
event_dispatch_t & | operator= (const event_dispatch_t &rhs)=default
| Copy another event_dispatch_t object.
event_dispatch_t & | operator= (event_dispatch_t &&rhs)=default
| Move from another event_dispatch_t object.
void | reply (command_completion_event_t callback=utility::log_error()) const
| Acknowledge interaction without displaying a message to the user, for use with button and select menu components.
void | reply (const message &m, command_completion_event_t callback=utility::log_error()) const
| Send a reply for this interaction. Uses the default type of dpp::ir_channel_message_with_source, a simple message reply.
void | reply (const std::string &mt, command_completion_event_t callback=utility::log_error()) const
| Send a reply for this interaction. Uses the default type of dpp::ir_channel_message_with_source, a simple message reply.
void | reply (interaction_response_type t, const message &m, command_completion_event_t callback=utility::log_error()) const
| Send a reply for this interaction.
void | reply (interaction_response_type t, const std::string &mt, command_completion_event_t callback=utility::log_error()) const
| Send a reply for this interaction.
void | set_queued_response (const std::string &response) const
| If this interaction is created from a webhook server, it fills this value with a JSON string which is sent as the HTTP response. This is thread local so that it is preserved when the event is copied, we guarantee that the request/response is in the same thread so this will always be valid.
confirmation_callback_t | success () const
| Returns a generic http success confirmation.
void | thinking (bool ephemeral=false, command_completion_event_t callback=utility::log_error()) const
| Set the bot to 'thinking' state where you have up to 15 minutes to respond.

## Public Attributes

bool | cancelled = false
| Whether the event was cancelled using cancel_event().
interaction | command = {}
| command interaction
bool | from_webhook {false}
| True if from a HTTP interaction webhook, false if from websocket.
dpp::cluster * | owner = nullptr
| Cluster owning the event dispatch.
std::string | raw_event = {}
| Raw event data. If you are using json on your websocket, this will contain json, and if you are using ETF as your websocket protocol, it will contain raw ETF data.
uint32_t | shard = 0
| Shard the event came from.

## Detailed Description

Base class for context menu interactions, e.g. right click on user or message.

## Member Function Documentation

## ◆ cancel_event() [1/2]

event_dispatch_t & dpp::event_dispatch_t::cancel_event | ( |  | ) |

inherited

Cancels the event in progress. Any other attached lambdas for this event after this one are not called.

Warning
  This will modify the event object in a non-thread-safe manner.

Returns
  const event_dispatch_t& reference to self for chaining

## ◆ cancel_event() [2/2]

const event_dispatch_t & dpp::event_dispatch_t::cancel_event | ( |  | ) | const

inherited

Cancels the event in progress. Any other attached lambdas for this event after this one are not called.

Warning
  This will modify the event object in a non-thread-safe manner.

Returns
  const event_dispatch_t& reference to self for chaining

## ◆ co_delete_original_response()

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_delete_original_response | ( |  | ) | const

inherited

Delete original response message for this interaction. This cannot be used on an ephemeral interaction response.

On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_dialog()

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_dialog | ( | interaction_modal_response | mr | ) | const

inherited

Reply to interaction with a dialog box.

Parameters

  mr | Dialog box response to send On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_edit_original_response() [1/2]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_edit_original_response | ( | message | m | ) | const

inherited

Edit original response message for this interaction.

Parameters

  m | Message object to send. Not all fields are supported by Discord. On success the result will contain a dpp::message object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_edit_original_response() [2/2]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_edit_original_response | ( | std::string | mt | ) | const

inherited

Edit original response message for this interaction.

Parameters

  mt | The string value to send, for simple text only messages On success the result will contain a dpp::message object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_edit_response() [1/2]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_edit_response | ( | message | m | ) | const

inherited

Edit the response for this interaction.

Parameters

  m | Message object to send. Not all fields are supported by Discord. On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_edit_response() [2/2]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_edit_response | ( | std::string | mt | ) | const

inherited

Edit the response for this interaction.

Parameters

  mt | The string value to send, for simple text only messages On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_follow_up() [1/2]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_follow_up | ( | message | m | ) | const

inherited

Create a follow-up message for this interaction.

Parameters

  m | Message object to send. Not all fields are supported by Discord. On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_follow_up() [2/2]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_follow_up | ( | std::string | mt | ) | const

inherited

Create a follow-up message for this interaction.

Parameters

  mt | The string value to send, for simple text only messages On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_get_original_response()

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_get_original_response | ( |  | ) | const

inherited

Get original response message for this interaction.

On success the result will contain a dpp::message object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_reply() [1/5]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_reply | ( |  | ) | const

inherited

Acknowledge interaction without displaying a message to the user, for use with button and select menu components.

On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_reply() [2/5]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_reply | ( | interaction_response_type | t,
|  | message | m ) const

inherited

Send a reply for this interaction.

Parameters

  t | Type of reply to send
  m | Message object to send. Not all fields are supported by Discord. On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_reply() [3/5]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_reply | ( | interaction_response_type | t,
|  | std::string | mt ) const

inherited

Send a reply for this interaction.

Parameters

  t | Type of reply to send
  mt | The string value to send, for simple text only messages On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_reply() [4/5]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_reply | ( | message | m | ) | const

inherited

Send a reply for this interaction. Uses the default type of dpp::ir_channel_message_with_source, a simple message reply.

Parameters

  m | Message object to send. Not all fields are supported by Discord. On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_reply() [5/5]

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_reply | ( | std::string | mt | ) | const

inherited

Send a reply for this interaction. Uses the default type of dpp::ir_channel_message_with_source, a simple message reply.

Parameters

  mt | The string value to send, for simple text only messages On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ co_thinking()

dpp::async< dpp::confirmation_callback_t > dpp::interaction_create_t::co_thinking | ( | bool | ephemeral = false | ) | const

inherited

Set the bot to 'thinking' state where you have up to 15 minutes to respond.

Parameters

  ephemeral | True if the thinking state should be ephemeral On success the result will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ delete_original_response()

void dpp::interaction_create_t::delete_original_response | ( | command_completion_event_t | callback = utility::log_error() | ) | const

inherited

Delete original response message for this interaction. This cannot be used on an ephemeral interaction response.

Parameters

  callback | Function to call when the API call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ dialog()

void dpp::interaction_create_t::dialog | ( | const interaction_modal_response & | mr,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Reply to interaction with a dialog box.

Parameters

  mr | Dialog box response to send
  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ edit_original_response()

void dpp::interaction_create_t::edit_original_response | ( | const message & | m,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Edit original response message for this interaction.

Parameters

  m | Message object to send. Not all fields are supported by Discord.
  callback | Function to call when the API call completes. On success the callback will contain a dpp::message object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ edit_response() [1/2]

void dpp::interaction_create_t::edit_response | ( | const message & | m,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Edit the response for this interaction.

Parameters

  m | Message object to send. Not all fields are supported by Discord.
  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ edit_response() [2/2]

void dpp::interaction_create_t::edit_response | ( | const std::string & | mt,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Edit the response for this interaction.

Parameters

  mt | The string value to send, for simple text only messages
  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ event_dispatch_t() [1/5]

dpp::event_dispatch_t::event_dispatch_t | ( |  | ) |

default inherited

Construct a new event_dispatch_t object.

## ◆ event_dispatch_t() [2/5]

dpp::event_dispatch_t::event_dispatch_t | ( | const event_dispatch_t & | rhs | ) |

default inherited

Construct a new event_dispatch_t object.

Parameters

  rhs | event_dispatch_t object to copy from

## ◆ event_dispatch_t() [3/5]

dpp::event_dispatch_t::event_dispatch_t | ( | dpp::cluster * | creator,
|  | uint32_t | shard_id,
|  | const std::string & | raw )

inherited

Construct a new event_dispatch_t object.

Parameters

  shard_id | The shard the event originated on.
  raw | Raw event data as JSON or ETF

## ◆ event_dispatch_t() [4/5]

dpp::event_dispatch_t::event_dispatch_t | ( | dpp::cluster * | creator,
|  | uint32_t | shard_id,
|  | std::string && | raw )

inherited

Construct a new event_dispatch_t object.

Parameters

  shard_id | The shard the event originated on.
  raw | Raw event data as JSON or ETF

## ◆ event_dispatch_t() [5/5]

dpp::event_dispatch_t::event_dispatch_t | ( | event_dispatch_t && | rhs | ) |

default inherited

Construct a new event_dispatch_t object.

Parameters

  rhs | event_dispatch_t object to move from

## ◆ follow_up() [1/2]

void dpp::interaction_create_t::follow_up | ( | const message & | m,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Create a follow-up message for this interaction.

Parameters

  m | Message object to send. Not all fields are supported by Discord.
  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ follow_up() [2/2]

void dpp::interaction_create_t::follow_up | ( | const std::string & | mt,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Create a follow-up message for this interaction.

Parameters

  mt | The string value to send, for simple text only messages
  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ from()

discord_client * dpp::event_dispatch_t::from | ( |  | ) | const

inherited

Returns the shard object for the events shard id.

Returns
  discord client object

## ◆ get_original_response()

void dpp::interaction_create_t::get_original_response | ( | command_completion_event_t | callback | ) | const

inherited

Get original response message for this interaction.

Parameters

  callback | Function to call when the API call completes. On success the callback will contain a dpp::message object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ get_queued_response()

std::string dpp::interaction_create_t::get_queued_response | ( |  | ) | const

inherited

Get queued response when responding to a HTTP request.

Returns
  response JSON

## ◆ is_cancelled()

bool dpp::event_dispatch_t::is_cancelled | ( |  | ) | const

inherited

Returns true if the event is cancelled. Note that event cancellation is a thread local state, and not stored in the object (because object which can be cancelled is const during the event, and cannot itself contain the changeable state).

Returns
  true if the event is cancelled

## ◆ operator=() [1/2]

event_dispatch_t & dpp::event_dispatch_t::operator= | ( | const event_dispatch_t & | rhs | ) |

default

Copy another event_dispatch_t object.

Parameters

  rhs | The event to copy from

## ◆ operator=() [2/2]

event_dispatch_t & dpp::event_dispatch_t::operator= | ( | event_dispatch_t && | rhs | ) |

default

Move from another event_dispatch_t object.

Parameters

  rhs | The event to move from

## ◆ reply() [1/5]

void dpp::interaction_create_t::reply | ( | command_completion_event_t | callback = utility::log_error() | ) | const

inherited

Acknowledge interaction without displaying a message to the user, for use with button and select menu components.

Parameters

  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ reply() [2/5]

void dpp::interaction_create_t::reply | ( | const message & | m,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Send a reply for this interaction. Uses the default type of dpp::ir_channel_message_with_source, a simple message reply.

Parameters

  m | Message object to send. Not all fields are supported by Discord.
  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ reply() [3/5]

void dpp::interaction_create_t::reply | ( | const std::string & | mt,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Send a reply for this interaction. Uses the default type of dpp::ir_channel_message_with_source, a simple message reply.

Parameters

  mt | The string value to send, for simple text only messages
  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ reply() [4/5]

void dpp::interaction_create_t::reply | ( | interaction_response_type | t,
|  | const message & | m,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Send a reply for this interaction.

Parameters

  t | Type of reply to send
  m | Message object to send. Not all fields are supported by Discord.
  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ reply() [5/5]

void dpp::interaction_create_t::reply | ( | interaction_response_type | t,
|  | const std::string & | mt,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Send a reply for this interaction.

Parameters

  t | Type of reply to send
  mt | The string value to send, for simple text only messages
  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## ◆ set_queued_response()

void dpp::interaction_create_t::set_queued_response | ( | const std::string & | response | ) | const

inherited

If this interaction is created from a webhook server, it fills this value with a JSON string which is sent as the HTTP response. This is thread local so that it is preserved when the event is copied, we guarantee that the request/response is in the same thread so this will always be valid.

Parameters

  response | response to set

## ◆ success()

confirmation_callback_t dpp::interaction_create_t::success | ( |  | ) | const

inherited

Returns a generic http success confirmation.

Returns
  success

## ◆ thinking()

void dpp::interaction_create_t::thinking | ( | bool | ephemeral = false,
|  | command_completion_event_t | callback = utility::log_error() ) const

inherited

Set the bot to 'thinking' state where you have up to 15 minutes to respond.

Parameters

  ephemeral | True if the thinking state should be ephemeral
  callback | User function to execute when the api call completes. On success the callback will contain a dpp::confirmation object in confirmation_callback_t::value. On failure, the value is undefined and confirmation_callback_t::is_error() method will return true. You can obtain full error details with confirmation_callback_t::get_error().

## Member Data Documentation

## ◆ cancelled

bool dpp::event_dispatch_t::cancelled = false

mutable inherited

Whether the event was cancelled using cancel_event().

## ◆ command

interaction dpp::interaction_create_t::command = {}

inherited

command interaction

## ◆ from_webhook

bool dpp::interaction_create_t::from_webhook {false}

inherited

True if from a HTTP interaction webhook, false if from websocket.

## ◆ owner

dpp::cluster* dpp::event_dispatch_t::owner = nullptr

inherited

Cluster owning the event dispatch.

## ◆ raw_event

std::string dpp::event_dispatch_t::raw_event = {}

inherited

Raw event data. If you are using json on your websocket, this will contain json, and if you are using ETF as your websocket protocol, it will contain raw ETF data.

## ◆ shard

uint32_t dpp::event_dispatch_t::shard = 0

inherited

Shard the event came from.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0